import * as $dara from '@darabonba/typescript';
import { FixCheckWarningsResponseBody } from "./FixCheckWarningsResponseBody";
export declare class FixCheckWarningsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: FixCheckWarningsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
